tagManage Tags

Create and manage tags for categorization

Tags

Tags provide flexible categorization for your content. Create custom tags with colors and descriptions.

Add Tag to Elemental

post

Applies a user tag to an elemental.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
idstringRequired

Elemental ID

tag_idintegerRequired

Tag ID

Responses
chevron-right
200

Tag added to elemental

No content

post
/v1/user/elemental/{id}/tag/{tag_id}
cURL
200

Tag added to elemental

No content

Remove Tag from Elemental

delete

Removes a tag from an elemental.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
idstringRequired
tag_idintegerRequired
Responses
chevron-right
200

Tag removed from elemental

No content

delete
/v1/user/elemental/{id}/tag/{tag_id}
cURL
200

Tag removed from elemental

No content

Get User Tags

get

Retrieves all tags created by the authenticated user.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Responses
chevron-right
200

User's tags

application/json
get
/v1/user/tags
cURL
200

User's tags

Create Tag

post

Creates a new tag for categorizing elementals.

Required Fields

Field
Type
Description

title

string

Tag name

color

string

Hex color code (e.g., "#FF5733")

elementalTypeId

integer

Elemental type this tag applies to

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Body
titlestringRequired
colorstringRequired

Hex color code (e.g., "#FF5733")

descriptionstringOptional
elementalTypeIdintegerRequired

Elemental type this tag applies to

source_user_idstringOptional
source_tag_idstringOptional
Responses
post
/v1/user/tags
cURL

No content

Get All Tags

get

Retrieves all tags including system tags.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Responses
chevron-right
200

All available tags

No content

get
/v1/user/tags/all
cURL
200

All available tags

No content

Get Tag by ID

get

Retrieves a specific tag by ID.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
idintegerRequired
Responses
chevron-right
200

Tag details

No content

get
/v1/user/tags/{id}
cURL

No content

Update Tag

put

Updates an existing tag.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
idintegerRequired
Body
titlestringOptional
colorstringOptional
descriptionstringOptional
Responses
chevron-right
200

Tag updated

No content

put
/v1/user/tags/{id}
cURL

No content

Delete Tag

delete

Deletes a tag.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
idintegerRequired
Responses
delete
/v1/user/tags/{id}
cURL

No content

Get Tag Items

get

Retrieves all elementals with a specific tag.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
idintegerRequired
Responses
chevron-right
200

Elementals with this tag

No content

get
/v1/user/tags/{id}/items
cURL
200

Elementals with this tag

No content

Last updated

Was this helpful?